package com.ruoyi.project.system.mapper;

import com.ruoyi.project.system.domain.ProductCraftCate;

import java.util.List;

/**
 * 工艺分类Mapper接口
 *
 * @author zhu
 * @date 2023-10-26
 */
public interface ProductCraftCateMapper {
    /**
     * 查询工艺分类
     *
     * @param id 工艺分类主键
     * @return 工艺分类
     */
    public ProductCraftCate selectProductCraftCateById(Long id);

    /**
     * 查询工艺分类列表
     *
     * @param productCraftCate 工艺分类
     * @return 工艺分类集合
     */
    public List<ProductCraftCate> selectProductCraftCateList(ProductCraftCate productCraftCate);

    /**
     * 新增工艺分类
     *
     * @param productCraftCate 工艺分类
     * @return 结果
     */
    public int insertProductCraftCate(ProductCraftCate productCraftCate);

    /**
     * 修改工艺分类
     *
     * @param productCraftCate 工艺分类
     * @return 结果
     */
    public int updateProductCraftCate(ProductCraftCate productCraftCate);

    /**
     * 删除工艺分类
     *
     * @param id 工艺分类主键
     * @return 结果
     */
    public int deleteProductCraftCateById(Long id);

    /**
     * 批量删除工艺分类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProductCraftCateByIds(Long[] ids);

    /**
     * 删除指定数据
     *
     * @param productId
     * @param materialId
     * @return
     */
    public int deleteByProductId(Long productId, Long materialId);
}
